Subject: i.MX6 USB OTG support is broken on linux-next

From: [email-masked] (Shawn Guo)
Date: Tue, 13 May 2014 09:42:48 +0800

On Tue, May 13, 2014 at 08:25:18AM +0800, Chen Peter-B29397 wrote:
>  
> > > >
> > >
> > > In your case, you should not set CONFIG_USB_OTG no matter at defconfig
> > > and at menuconfig.
> > 
> > Hmm, at least in my testing (USB mouse/keyboard connected to OTG port),
> > it works as before even I enable CONFIG_USB_OTG, as long as I do *not*
> > enable CONFIG_USB_OTG_FSM.
> > 
> > Since it works for my case, I'm wondering why you think I shouldn't
> > enable CONFIG_USB_OTG at all.
> > 
> 
> If your device is not OTG device, there is no reason you need to enable
> CONFIG_USB_OTG.

Whether I should enable CONFIG_USB_OTG depends on what devices I will
use?  This is insane to me.

Look, there is an USB OTG port on my board, and it should just be the
reason that's good enough for me to build a kernel with CONFIG_USB_OTG,
shouldn't it?  I do not even know what type of devices will be plugged
into this USB OTG port when I was building the kernel.

Shawn

> Yes, it may work for some devices when enable CONFIG_USB_OTG,
> but it will confuse other host or device which is connected with you, eg,
> your device will report your have supported some otg capabilities, eg, SRP or
> HNP.